/lib/plymouth/ubuntu-logo.png should be updated

Bug #667262 reported by Delan Azabani on 2010-10-27
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
plymouth (Ubuntu)
High
Canonical User Experience and Design team

Bug Description

/lib/plymouth/ubuntu-logo.png, used as the logo in many non-default plymouth themes in the main repository, uses the old branding with the older font that should be updated to the new branding for consistency.

Phillip Susi (psusi) on 2010-10-30
affects: ubuntu → plymouth (Ubuntu)
Steve Langasek (vorlon) wrote :

Assigning to the Canonical design team; if the plymouth package maintainers make this change on our own, we're unlikely to get it right.

Changed in plymouth (Ubuntu):
assignee: nobody → Canonical User Experience and Design team (canonical-ux)

Just a quick point, Steve, can we ensure the proportions of the image
when it's displayed, or is it generally stretched one way or another?

 importance high

Mark

Changed in plymouth (Ubuntu):
importance: Undecided → High
Steve Langasek (vorlon) wrote :

On Sun, Oct 31, 2010 at 12:21:42PM -0000, Mark Shuttleworth wrote:

> Just a quick point, Steve, can we ensure the proportions of the image
> when it's displayed, or is it generally stretched one way or another?

We shouldn't be stretching the image anywhere; the only place we've run into
problems TTBOMK is when we have to run on a VGA frambuffer (usually when
binary video drivers are in use), then the boot splash looks unpleasantly
large. This is bug #563878.

--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Mark Shuttleworth (sabdfl) wrote :

OK. So a reasonably-size png of the image is good for you?

Steve Langasek (vorlon) wrote :

On Mon, Nov 01, 2010 at 05:28:17PM +0000, Mark Shuttleworth wrote:

> OK. So a reasonably-size png of the image is good for you?

If it varies much from the current 217x58 image size, someone should look
closely at the impact; the positioning code in the plymouth theme is not the
most robust.

It would also be helpful if we can have a 16-color version of the logo as
before, so that VGA fb users continue to get a comparable experience.

Thanks,
--
Steve Langasek Give me a lever long enough and a Free OS
Debian Developer to set it on, and I can move the world.
Ubuntu Developer http://www.debian.org/
<email address hidden> <email address hidden>

Steve Langasek (vorlon) on 2011-10-01
Changed in plymouth (Ubuntu):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package plymouth - 0.8.2-2ubuntu29

---------------
plymouth (0.8.2-2ubuntu29) precise; urgency=low

  * debian/patches/main-Don-t-watch-for-keyboard-input-if-no-keyboard.patch:
    Cherry-pick from upstream; don't watch for keyboard input if no keyboard
    is set, as is the case when should_ignore_show_splash_calls() returns
    true, fixing an assert failure. LP: #619021.
  * debian/ubuntu-logo.png: remove in favor of the logo included in the
    ubuntu-logo theme which has the correct branding. This has no impact on
    the default user experience, but fixes the branding when using certain
    non-default themes available in the archive. (We still ship a copy in
    the main plymouth package for this reason.) LP: #667262.
  * debian/patches/tty1-after-boot.patch: Switch back to tty1 on exit if
    started with vt.handoff. Closes LP: #913731.
  * debian/plymouth-theme-{k,}ubuntu-text.{triggers,postinst}: regenerate
    our theme when /etc/lsb-release changes. LP: #957380.
 -- Steve Langasek <email address hidden> Wed, 11 Apr 2012 04:59:54 +0000

Changed in plymouth (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers